package com.bonus.canteen.core.auth.role.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@TableName("mgr_role_canteen")
@ApiModel("角色区域、食堂、档口表")
public class MgrRoleCanteen implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("角色ID")
   private Long roleId;
   @ApiModelProperty("区域、食堂、档口ID")
   private Long dataId;
   @ApiModelProperty("类型：1：区域，2：食堂，3：档口")
   private Integer type;
   @ApiModelProperty("节点状态：1全选；2半选")
   private Integer halfSelect;

   public Long getRoleId() {
      return this.roleId;
   }

   public Long getDataId() {
      return this.dataId;
   }

   public Integer getType() {
      return this.type;
   }

   public Integer getHalfSelect() {
      return this.halfSelect;
   }

   public MgrRoleCanteen setRoleId(final Long roleId) {
      this.roleId = roleId;
      return this;
   }

   public MgrRoleCanteen setDataId(final Long dataId) {
      this.dataId = dataId;
      return this;
   }

   public MgrRoleCanteen setType(final Integer type) {
      this.type = type;
      return this;
   }

   public MgrRoleCanteen setHalfSelect(final Integer halfSelect) {
      this.halfSelect = halfSelect;
      return this;
   }

}
